Advertising (This ad goes away for registered users. You can Login or Register)

Search found 1 match

by Guirao21
Tue Feb 02, 2016 4:24 pm
Forum: Games
Topic: PSV Required Firmware List - Need Volunteers
Replies: 512
Views: 208115

Re: PSV Required Firmware List - Need Volunteers

Daniel_Davies85 wrote: Also, Trails of Cold Steel (PAL) works on 3.55 but I'm not sure what the required is.
I can confirm that Trails of Cold Steel (EUR/PAL) requires 3.55.

Go to advanced search